< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package mongo
  Definition Classes
    hmrc
-  package test
  Definition Classes
    mongo
- CleanMongoCollectionSupport
- DefaultPlayMongoRepositorySupport
- IndexedMongoQueriesSupport
- MongoSupport
- PlayMongoRepositorySupport

t

uk.gov.hmrc.mongo.test

# MongoSupport 

###

#### trait MongoSupport extends ScalaFutures

Linear Supertypes
ScalaFutures, Futures, PatienceConfiguration, AbstractPatienceConfiguration, ScaledTimeSpans, AnyRef, Any
Known Subclasses
CleanMongoCollectionSupport, DefaultPlayMongoRepositorySupport, IndexedMongoQueriesSupport, PlayMongoRepositorySupport
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MongoSupport
2. ScalaFutures
3. Futures
4. PatienceConfiguration
5. AbstractPatienceConfiguration
6. ScaledTimeSpans
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  trait FutureConcept[T] extends AnyRef
   Definition Classes
     Futures
2.  final case class PatienceConfig extends Product with Serializable
   Definition Classes
     AbstractPatienceConfiguration

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  implicit def convertScalaFuture[T](scalaFuture: Future[T]): FutureConcept[T]
   Definition Classes
     ScalaFutures
7.  val databaseName: String
   Attributes
     protected
8.  def dropDatabase(): Unit
   Attributes
     protected
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
12.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def interval(value: Span): Interval
    Definition Classes
      PatienceConfiguration
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  lazy val mongoClient: MongoClient
    Attributes
      protected
17.  lazy val mongoComponent: MongoComponent
    Attributes
      protected
18.  lazy val mongoDatabase: MongoDatabase
    Attributes
      protected
19.  val mongoUri: String
    Attributes
      protected
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  implicit def patienceConfig: PatienceConfig
    Definition Classes
      PatienceConfiguration → AbstractPatienceConfiguration
24.  def prepareDatabase(): Unit
    Attributes
      protected
25.  final def scaled(span: Span): Span
    Definition Classes
      ScaledTimeSpans
26.  def spanScaleFactor: Double
    Definition Classes
      ScaledTimeSpans
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def timeout(value: Span): Timeout
    Definition Classes
      PatienceConfiguration
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  def updateIndexPreference(requireIndexedQuery: Boolean): Future[Boolean]

    Note, this changes the notablescan option, which is a global server config.

    Note, this changes the notablescan option, which is a global server config. If tests set this to different values, ensure they are not run in parallel.

    Attributes
      protected
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
34.  final def whenReady[T, U](future: FutureConcept[T])(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U
    Definition Classes
      Futures
35.  final def whenReady[T, U](future: FutureConcept[T], interval: Interval)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U
    Definition Classes
      Futures
36.  final def whenReady[T, U](future: FutureConcept[T], timeout: Timeout)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U
    Definition Classes
      Futures
37.  final def whenReady[T, U](future: FutureConcept[T], timeout: Timeout, interval: Interval)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U
    Definition Classes
      Futures

### Inherited from ScalaFutures

### Inherited from Futures

### Inherited from PatienceConfiguration

### Inherited from AbstractPatienceConfiguration

### Inherited from ScaledTimeSpans

### Inherited from AnyRef

### Inherited from Any

### Ungrouped